Description

Feature #31921 included in 4.1.0 sets utf8mb4 as default encoding for new MySQL databases setups.

In the description, Marius BALTEANU added :

I'll try to create later a Wiki page regarding the steps required to migrate and existing installation or at least some useful links.

 There is no documentation explaining how to migrate yet.

#21398 includes a migration script, but people in that thread reported failures with the script.

History

#1 - 2020-06-04 05:31 - Go MAEDA

- Category changed from Database to Documentation

#2 - 2021-03-19 13:01 - C S

According to my knowledge, I have created the following HowTo: HowTo_convert_a_database_from_utf8_to_utf8mb4

#3 - 2021-03-19 15:19 - Sylvain Faivre

Sorry I didn't get back to this issue before.

Migrating a MySQL/MariaDB database to utf8mb4 might require a lot of steps, depending on the MySQL or MariaDB release you have.

I actually migrated our Redmine database using the Nextcloud documentation, which thoroughly describes each case.

This documentation can be found at https://docs.nextcloud.com/server/20/admin_manual/configuration_database/mysql_4byte_support.html

I also had to edit the config/database.yml file in Redmine folder, to alter this entry :

  encoding: utf8mb4

#4 - 2021-11-11 15:20 - C S

I've made a few changes to the description

#5 - 2023-11-21 00:18 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Duplicate

This issue, #31921 and HowTo_convert_a_database_from_utf8_to_utf8mb4 page contain enough information to identify the issues caused by utf8

and to migrate the database to utf8mb4.

Closing this as duplicate.
